Package org.bgerp.plugin.pln.grpl.model

# Class BoardConfig

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.plugin.pln.grpl.model.BoardConfig

All Implemented Interfaces:
  `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class BoardConfig extends Config implements IdTitle<Integer>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoardConfig(int id, ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdTitle`
  `getColumn(ConnectionSet conSet, Process process)`
  `IdTitle`
  `getColumnOrThrow(int id)`
  `Map<Integer,IdTitle>`
  `getColumns()`
  `int`
  `getColumnWidth()`
  `List<Integer>`
  `getGroupIds()`
  `Integer`
  `getId()`
  `int`
  `getParamId()`
  `String`
  `getProcessBackgroundColor(int statusId)`
  `Duration`
  `getProcessDuration(ConnectionSet conSet, Process process)`
  `ShiftConfig`
  `getShift()`
  `List<LocalTime>`
  `getTimes(List<Slot> usedSlots, Duration processDuration)`
  `String`
  `getTitle()`
  `boolean`
  `hasProcessType(int id)`

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoardConfig

    public BoardConfig(int id, ConfigMap config)

- ## Method Details

  - ### getId

    public Integer getId()
    Specified by:
      `getId` in interface `Id<Integer>`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `Title`

  - ### getParamId

    public int getParamId()

  - ### hasProcessType

    public boolean hasProcessType(int id)

  - ### getColumns

    public Map<Integer,IdTitle> getColumns()

  - ### getColumnWidth

    public int getColumnWidth()

  - ### getColumn

    public IdTitle getColumn(ConnectionSet conSet, Process process) throws SQLException
    Throws:
      `SQLException`

  - ### getColumnOrThrow

    public IdTitle getColumnOrThrow(int id) throws javassist.NotFoundException
    Throws:
      `javassist.NotFoundException`

  - ### getGroupIds

    public List<Integer> getGroupIds()

  - ### getShift

    public ShiftConfig getShift()

  - ### getProcessDuration

    public Duration getProcessDuration(ConnectionSet conSet, Process process)

  - ### getTimes

    public List<LocalTime> getTimes(List<Slot> usedSlots, Duration processDuration)

  - ### getProcessBackgroundColor

    public String getProcessBackgroundColor(int statusId)